import type { TypeResponse } from '../Type/Response.js';
export declare class ResponseHelper {
    /**
     * Creates a standardized error response.
     *
     * @param {string} code - The error code.
     * @param {string} message - The error message.
     * @returns {TypeResponse<TypeObject>} - A standardized error response.
     */
    static createErrorResponse<TypeObject>(code: string, message: string): TypeResponse<TypeObject>;
}
