import { z } from 'zod';
import { ZodSchema } from 'zod';
export const messageSchema = z.object({
    code: z.string(),
    text: z.string()
});
export const createResponseSchema = (dataSchema) => z.object({
    success: z.boolean(),
    messages: z.array(messageSchema).optional(),
    data: dataSchema.optional()
});
